require( "scripts/style.lua" );

-- gRows and gColumns are set up in mainmenu.lua

-- Our mini-game set-up
MakeDialog
{
	-- Name the modal dialog
	name="Before test",
	Bitmap
	{
		name="backgroundimage",
		image="backgrounds/background_parking",
		scale=1.2,
		w=100,
		h=100,
		
		Before
		{
			x=kCenter,
			y=kCenter,
			w=kMax,
			h=kMax,

			rows=gRows,
			columns=gColumns,
		},
--		Text
--		{
--			x=20,y=20,
--			w=kMax-20,h=kMax,
--			flags=kHAlignCenter+kVAlignTop,
--			label="squaresinfo",
--			color=Color(255,0,100,255),
--		},

		Button
		{
			x=650,
			y=550,
			font = StandardButtonFont,
			graphics = StandardButtonGraphics,
			name="pause",
			label="pause",
			type = kPush,
			command=
				function()
					DoModal("scripts/pause.lua");
				end
		},
		Button
		{
			x=650,
			y=500,
			font = StandardButtonFont,
			graphics = StandardButtonGraphics,
			name="playmovie",
			label="playmovie",
			type = kPush,
			command=
				function()
						DisplaySplash("splash/playfirst_animated_logo.swf", "splash/playfirst_logo",4000);
				end
		},
		
		Button
		{
			x=650,
			y=450,
			font = StandardButtonFont,
			graphics = StandardButtonGraphics,
			name="options",
			label="options",
			type = kPush,
			command=
				function()
					DoModal("scripts/options.lua");
				end
		},
	},
}